python2-petsc4py-openmpi-3.7.0-3.6.x86_64.rpm


Advertisement

Description

python2-petsc4py-openmpi - Python bindings for PETSc - openmpi enabled

Property Value
Distribution openSUSE Tumbleweed
Repository Science x86_64 + i586
Package filename python2-petsc4py-openmpi-3.7.0-3.6.x86_64.rpm
Package name python2-petsc4py-openmpi
Package version 3.7.0
Package release 3.6
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage http://jinja.pocoo.org/
License BSD-2-Clause
Maintainer -
Download size 806.48 KB
Installed size 3.51 MB
petsc4py are Python bindings for PETSc, the Portable, Extensible Toolkit for Scientific Computation.
This is the openmpi enabled version

Alternatives

Package Version Architecture Repository
python2-petsc4py-openmpi-3.7.0-3.6.i586.rpm 3.7.0 i586 Science
python2-petsc4py-openmpi - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libmpi.so.12()(64bit) -
libpetsc.so.3.7()(64bit) -
libpetsc3-openmpi >= 3.7
libpython2.7.so.1.0()(64bit) -
python2-mpi4py -
python2-numpy -

Provides

Name Value
python-petsc4py-openmpi = 3.7.0-3.6
python2-petsc4py-openmpi = 3.7.0-3.6
python2-petsc4py-openmpi(x86-64) = 3.7.0-3.6

Obsoletes

Name Value
python-petsc4py-openmpi < 3.7.0-3.6

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-petsc4py-openmpi-3.7.0-3.6.x86_64.rpm
Source Package python-petsc4py-3.7.0-3.6.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/science/openSUSE_Tumbleweed/ science
  2. Install python2-petsc4py-openmpi rpm package:
    # zypper install python2-petsc4py-openmpi

Files

Path
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/PETSc.py
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/PETSc.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/__init__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/__init__.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/__main__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/__main__.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/PKG-INFO
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/SOURCES.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/dependency_links.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/not-zip-safe
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/requires.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py-3.7.0-py2.7.egg-info/top_level.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/PETSc.pxd
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/__init__.pxd
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/__init__.pyx
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/numpy.h
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc.h
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc_api.h
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/petsc4py.h
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/include/petsc4py/petsc4py.i
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/lib/PETSc.so
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/lib/__init__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/lib/__init__.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python2.7/site-packages/petsc4py/lib/petsc.cfg
/usr/share/doc/packages/python2-petsc4py-openmpi/CHANGES.rst
/usr/share/doc/packages/python2-petsc4py-openmpi/DESCRIPTION.rst
/usr/share/doc/packages/python2-petsc4py-openmpi/LICENSE.rst
/usr/share/doc/packages/python2-petsc4py-openmpi/README.rst

Changelog

2017-09-07 - toddrme2178@gmail.com
- Implement single-spec version
2017-03-17 - kkhere.geo@gmail.com
- update to version 3.7 for petsc 3.7
2014-01-28 - kkhere.geo@gmail.com
- create separate package for serial and openmpi support
2014-01-10 - kkhere.geo@gmail.com
- update to version 3.4 to coincide with petsc
changelog available only as upstream git repo
2013-10-24 - speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
2012-09-18 - scorot@free.fr
- update petsc dir according to recent change in petsc package
2012-08-14 - scorot@free.fr
- fix build according to new petsc directory
2012-08-07 - scorot@free.fr
- first package

See Also

Package Description
python2-pivy-0.6.4-18.11.aarch64.rpm Coin Binding for Python
python2-pivy-0.6.4-18.11.x86_64.rpm Coin Binding for Python
python2-pivy-0.6.4-18.5.i586.rpm Coin Binding for Python
python2-power-1.4-11.1.noarch.rpm System power status information in Python
python2-power-1.4-11.2.noarch.rpm System power status information in Python
python2-pycsw-2.2.0-6.5.noarch.rpm OGC CSW server implementation written in Python
python3-FFC-2016.2.0-1.34.noarch.rpm A compiler for multilinear forms by generating code
python3-FFC-2019.1.0-1.1.noarch.rpm A compiler for multilinear forms by generating code
python3-FIAT-2016.2.0-2.4.noarch.rpm The FInite element Automatic Tabulator FIAT
python3-FIAT-2019.1.0-1.1.noarch.rpm The FInite element Automatic Tabulator
python3-GDAL-3.0.2-121.11.i586.rpm GDAL Python3 module
python3-GDAL-3.0.4-125.2.aarch64.rpm GDAL Python3 module
python3-GDAL-3.0.4-125.2.x86_64.rpm GDAL Python3 module
python3-GDAL2-2.4.2-36.2.i586.rpm GDAL Python3 module
python3-GDAL2-2.4.2-36.8.x86_64.rpm GDAL Python3 module
Advertisement
Advertisement